Bug 457089 - new ath9k wireless driver should be added to rawhide kernel rpm
new ath9k wireless driver should be added to rawhide kernel rpm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 11:31 EDT by Need Real Name
Modified: 2008-08-12 11:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 11:34:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ath9k patch from current ath9k git that now has 2.6.27 related changes. (954.36 KB, text/plain)
2008-08-03 11:52 EDT, Need Real Name
no flags Details

  None (edit)
Comment 1 Need Real Name 2008-07-29 11:33:01 EDT
Opps. The hyperlinks to these patches do not appear to be stable. These are in
the linux-wireless mailing list under the thread...

Re: [PATCH 00/16] ath9k: some cleanups, and a few small fixes
Comment 2 Need Real Name 2008-07-29 11:34:54 EDT
My mistake. The hyperlinks do appear to be correct for the patches.
Comment 3 Need Real Name 2008-08-03 11:52:35 EDT
Created attachment 313295 [details]
ath9k patch from current ath9k git that now has 2.6.27 related changes.
Comment 4 Need Real Name 2008-08-03 11:54:55 EDT
The current ath9k git now has the necessary kernel 2.6.27 related changes and works flawlessly against Fedora 9 when built in the current rawhide kernel srpm.
The upstream developers intend this driver to go in around 2.6.28 but it is completely usable at this point.
Comment 5 John W. Linville 2008-08-12 11:34:56 EDT
The ath9k driver is in rawhide (via Linus's current 2.6.27 tree).
Comment 6 Need Real Name 2008-08-12 11:57:16 EDT
Is config-generic modified to contain

CONFIG_ATH9k=m

so that the driver will build?

Note You need to log in before you can comment on or make changes to this bug.